Last Comment Bug 67603 - Error Console tree should be multi-select (multiple lines of JS console)
: Error Console tree should be multi-select (multiple lines of JS console)
Status: RESOLVED WORKSFORME
:
Product: Toolkit Graveyard
Classification: Graveyard
Component: Error Console (show other bugs)
: Trunk
: x86 All
-- minor with 5 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
: 69880 136674 343826 421056 621019 862658 (view as bug list)
Depends on: 88057
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-03 23:10 PST by Jesse Ruderman
Modified: 2016-06-29 11:02 PDT (History)
27 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Jesse Ruderman 2001-02-03 23:10:50 PST
The JavaScript console should allow selecting multiple items, so the user can 
copy multiple items out at once.  (Note that copying isn't working even for 
single items yet -- see bug 53480.)  A "Select All" option should be added to 
the Edit menu with the keyboard shortcut Ctrl+A.
Comment 1 User image Jesse Ruderman 2001-02-27 19:17:03 PST
Moving to javascript debugger component.  Cc hewitt.
Comment 2 User image basic 2001-03-11 13:10:27 PST
*** Bug 69880 has been marked as a duplicate of this bug. ***
Comment 3 User image Henrik Gemal 2001-10-22 11:37:01 PDT
this is javascript console...
Comment 4 User image Jesse Ruderman 2002-05-09 19:31:02 PDT
*** Bug 136674 has been marked as a duplicate of this bug. ***
Comment 5 User image olecom 2005-06-03 04:37:01 PDT
I think it will be useful to have just text, without any images, xul, whatever.

Thus it will load much faster with many items, and you'll be able to select
any part of text it your's favorit text editor.
Comment 6 User image Damian Yerrick 2005-11-05 23:39:08 PST
A few more keywords to help search.
Comment 7 User image Wayne Mery (:wsmwk, NI for questions) 2006-05-31 13:34:54 PDT
(In reply to comment #0)
> The JavaScript console should allow selecting multiple items, so the user can 
> copy multiple items out at once.  

difficult? or might this be a good first bug?


> A "Select All" option should be added to 
> the Edit menu with the keyboard shortcut Ctrl+A.

Bug 88057
Comment 8 User image Ryan Flint [:rflint] (ping via IRC for reviews) 2006-07-06 19:42:14 PDT
*** Bug 343826 has been marked as a duplicate of this bug. ***
Comment 9 User image Philip Chee 2008-03-05 02:21:55 PST
*** Bug 421056 has been marked as a duplicate of this bug. ***
Comment 10 User image Nochum Sossonko [:Natch] 2009-04-22 23:06:12 PDT
Patches will be in bug 489736 (current one already fixes this).
Comment 11 User image Nochum Sossonko [:Natch] 2009-04-22 23:08:17 PDT
Hrm, didn't realize this before, is this a Seamonkey-only bug? If so, restore the component, and unassign...
Comment 12 User image Philip Chee 2009-04-23 03:24:21 PDT
SeaMonkey 2.0x (1.9.1) switched to using the toolkit Error Console. The SeaMonkey component is for legacy bugs in SeaMonkey <= 1.1 and will probably be moved to the graveyard once 2.0 is released.
Comment 13 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2009-05-18 03:10:36 PDT
(In reply to comment #10)
> Patches will be in bug 489736 (current one already fixes this).

Adding dependency to bug 489736.
Comment 14 User image Nochum Sossonko [:Natch] 2009-12-23 12:42:44 PST
Pushing out old bugs that I won't have time to actually get to. Feel free to use/extend any patches attached...
Comment 15 User image Philip Chee 2010-12-22 21:29:57 PST
*** Bug 621019 has been marked as a duplicate of this bug. ***
Comment 16 User image Wayne Mery (:wsmwk, NI for questions) 2013-04-18 04:44:42 PDT
*** Bug 862658 has been marked as a duplicate of this bug. ***
Comment 17 User image sworddragon2 2013-09-26 06:37:55 PDT
Selecting multiple entries, selecting all entries and even copying all selected entries is now possible with the new console.
Comment 18 User image (Unavailable until Apr 3) [:bgrins] 2016-06-27 07:47:22 PDT
The Error Console has been removed in favor of the Browser Console (see Bug 1278368), and the component is going to be removed.  If this bug is also relevant in the Browser Console, please reopen and move this into Firefox -> Developer Tools: Console.
Comment 19 User image Zack Weinberg (:zwol) 2016-06-27 09:43:47 PDT
I am mass-reopening and re-componenting every single one of the Toolkit:Error Console bugs that appear to have been closed without anyone even *glancing* at whether they were relevant to the Browser Console.

If you want to close a whole bunch of old bugs -- FOR ANY REASON -- it is YOUR RESPONSIBILITY to check EVERY SINGLE ONE OF THEM and make sure they are no longer valid.  Do not push that work onto the bug reporters.

(It's okay to close bugs that haven't been touched in years when they don't have enough information for you to figure out whether the problem is still relevant to the current software - the reporter probably isn't coming back to clarify.  But that is the ONLY situation where it is okay.)

(I'm going to have to do this in two steps because of the way the "change several bugs at once" form works.  Apologies for the extra bugspam.)
Comment 20 User image Philipp Kewisch [:Fallen] 2016-06-27 11:05:54 PDT
This one is WFM with the new browser console.

Note You need to log in before you can comment on or make changes to this bug.